<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_camera.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Camera Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_camera.html">Camera</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#a72018306ef284349e1f30d7d64a5bd2b">a</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#ac38bcfc28d7ab935ea0d3ccac7646939">b</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#ab31d5c9fab32c5a72d54b1ae99b81ef2">Camera</a>(double _l, double _r, double _t, double _b, double _d, int _nx, int _ny, int _viewport_width, int _viewport_height)</td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#a01f94c3543f56ede7af49dc778f19331">Camera</a>()</td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#a1375dd3b08417a179e52746cdf4ddaf2">d</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#a6ef497a0e254c94753b835c1f3d5c85f">e</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#a8a30c1d630ed7a772dca55e7275bc5cb">l</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#aa16f32bf8c56b12f31dfcf6f39231431">look_at</a>(Vec eye, Vec at, Vec up)</td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#ab08bb2f3987c704bb67aa9475f617976">move</a>(Vec motion)</td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#a6b34435333ba29dca4a9e136322a8923">move_at</a>(Vec motion)</td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#ab24cd1c55c90594697eaff3bb6b6d93a">nx</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#a61a6f5c9296cba95f70190ee228b9ef6">ny</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#aeb2d4c41d0188be81f8fb2d01307fa99">orientation_fixed</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#a4309dd7d7a05fd6346db6de286c6ee5a">r</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#ae4b0e9ea41d0f132d2fe7a7349d919e4">setTransform</a>(Transform *tf)</td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#a4d5917a7f2bbd9a43c476d6db6fd6f1d">t</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#a33bab7beb6bd121e399776c37e529471">tf</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#a3dd8170ac8e2ddb7175ac2ef5e02ac83">transform</a>()</td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#a187bed1cba664e132932dcb94ab99486">transform</a>(Mat m)</td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#aceeb867ba2fd864603c1ae83e035fa0a">u</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#a458286722dd30e56e1efeaf1fd4e011c">v</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#ac9b9138bb945ff40cb3f7fe28dc6c5cb">view_ray</a>(const double i, const double j)</td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#a89e1485eea89a602c152b561d17fbbdb">viewport_height</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_camera.html#a6c5b354fc3564c9e7bca14fa55bd2ff1">viewport_width</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_camera.html#ae4cb433e0f9ee4c41ab1c0c52b891bd2">w</a></td><td class="entry"><a class="el" href="class_camera.html">Camera</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
